.ViewBrokerModal .modal-dialog {
    max-width: 1000px;
    width: 100%;
    margin: 1.5rem auto;
}

.ViewBrokerModal .modal-content {
    border: 0;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0px 0px 6px #00000008;
    border: 1px solid #e5e5e5;
    border-radius: 12px;
}

.ViewBrokerModal .modal-body {
    padding: 0;
}

.ViewBrokerModal .contact-modal-wrapper {
    display: flex;

    background: #fff;
}

.ViewBrokerModal .property-preview {
    width: 320px;
    border-right: 1px solid #ececec;
    background: #fff;
    padding: 16px 16px 30px;
    flex-shrink: 0;
}

.ViewBrokerModal .property-image-wrapper {
    position: relative;
    width: 100%;
    height: 180px;
    border-radius: 8px;
    overflow: hidden;
}

.ViewBrokerModal .property-image-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.ViewBrokerModal .property-details {
    padding: 4px 10px;
}

.ViewBrokerModal .listing-type {
    display: inline-block;

    margin-bottom: 0px;

    color: #777;
    font-size: 13px;
    font-weight: 500;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    overflow-wrap: break-word;
    word-break: normal;
}

.ViewBrokerModal .property-details h4 {
    margin-bottom: 3px;
    font-size: 16px;
    font-weight: 700;
    line-height: 1.2;
    color: #111;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    overflow-wrap: break-word;
    word-break: normal;
}

.ViewBrokerModal .property-info {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    margin-bottom: 1px;
    line-height: 1.3;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    overflow-wrap: break-word;
    word-break: normal;
}

.ViewBrokerModal .property-info span {
    font-size: 13px;
    color: #444;
}

.ViewBrokerModal .location {
    margin-bottom: 7px;
    font-size: 13px;
    color: #666;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    overflow-wrap: break-word;
    word-break: normal;
}

.ViewBrokerModal .property-details h3 {
    margin: 0;
    font-size: 20px;
    font-weight: 700;
    color: #000;
}

.ViewBrokerModal .contact-form-wrapper {
    flex: 1 1;
    padding: 20px 20px;
}

.ViewBrokerModal .top-agent-row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 10px;
}

.ViewBrokerModal .right-section {
    display: flex;
    gap: 10px;
}

.ViewBrokerModal .form-box-section {
    width: 90%;
}

.ViewBrokerModal .agent-info {
    display: flex;
    align-items: center;
    gap: 14px;
}


.ViewBrokerModal .agent-info .rera-tag {
    position: unset;
    width: fit-content;
    margin-top: 9px;
}

.ViewBrokerModal .right-section .user-wrapper {
    width: 58px;
    height: 58px;
    border-radius: 50%;
    overflow: hidden;
    aspect-ratio: 1/1;
}

.ViewBrokerModal .right-section .user-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.ViewBrokerModal .agent-info .name-title {
    margin: 0;

    font-size: 16px;
    font-weight: 700;
    color: #111;
}

.ViewBrokerModal .agent-info .name {
    font-size: 14px;
    color: #111;
    margin: 0;
}

.ViewBrokerModal .exp-tag {
    font-size: 13px;
    color: #808080;
}

.ViewBrokerModal .wrapper-div {
    display: flex;
    gap: 5px;
}

.ViewBrokerModal .agent-info .name,
.ViewBrokerModal .exp-tag {
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    overflow-wrap: break-word;
    word-break: normal;
}

.ViewBrokerModal .form-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 18px;
}

.ViewBrokerModal .input-group-box label,
.ViewBrokerModal .message-box label {
    display: block;
    margin-top: 8px;
    margin-bottom: 5px;
}

.ViewBrokerModal .bottom-row {
    display: flex;
    align-items: center;
    gap: 18px;
    margin-top: 26px;
}

.ViewBrokerModal .secure-text {
    display: flex;
    align-items: center;
    gap: 8px;
    color: #808080;
    font-size: 13px;
}

@media (max-width: 991px) {
    .ViewBrokerModal .contact-modal-wrapper {
        flex-direction: column;
    }

    .ViewBrokerModal .form-grid {
        grid-template-columns: 1fr;
        gap: 0;
    }

    .ViewBrokerModal .bottom-row {
        align-items: flex-start;
    }

    .ViewBrokerModal .property-preview {
        width: 100%;
        display: flex;
        padding: 12px;
    }

    .ViewBrokerModal .property-image-wrapper {
        width: 210px;
        height: 130px;
    }

    .ViewBrokerModal .property-details {
        max-width: 258px;
    }

    .ViewBrokerModal .contact-form-wrapper {
        padding: 12px;
        border-top: 1px solid #dfdfdf;
    }

    .ViewBrokerModal .top-agent-row {
        margin-bottom: 5px;
    }
}

@media (min-width: 0px) and (max-width: 575.98px) {
    .ViewBrokerModal .property-preview {
        flex-direction: column;
    }

    .ViewBrokerModal .property-image-wrapper {
        width: 100%;
        height: 135px;
        margin-top: 18px;
    }

    .ViewBrokerModal .close-btn {
        top: -4px;
        right: -7px;
    }

    .ViewBrokerModal .property-details {
        padding: 4px 6px;
        max-width: 100%;
    }

    .ViewBrokerModal .property-details h3 {
        font-size: 16px;
    }

    .ViewBrokerModal .property-details h4 {
        font-size: 14px;
    }

    .ViewBrokerModal .property-info span {
        font-size: 12px;
    }

    .ViewBrokerModal .location {
        font-size: 12px;
    }

    .ViewBrokerModal .property-preview {
        padding: 10px;
    }

    .ViewBrokerModal .secure-text {
        gap: 6px;

        font-size: 12px;
        line-height: 1.2;
    }

    .ViewBrokerModal .bottom-row {
        gap: 10px;
        margin-top: 20px;
    }

    .ViewBrokerModal .input-group-box label,
    .ViewBrokerModal .message-box label {
        margin-top: 4px;
        margin-bottom: 2px;
        font-size: 13px;
    }

    .ViewBrokerModal .right-section .user-wrapper {
        width: 53px;
        height: 49px;
    }

    .ViewBrokerModal .agent-info .name {
        gap: 7px;
        font-size: 13px;
    }

    .ViewBrokerModal .top-agent-row {
        margin-bottom: 1px;
    }

    .ViewBrokerModal .right-section {
        gap: 5px;
    }
}